Create Account Invitation
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assignments": [
{
"capability_key": "<string>",
"group_id": "<string>",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role_key": "<string>"
}
],
"email": "<string>",
"locale": "<string>",
"note": "<string>"
}
'{
"assignments": [
{
"assignment_kind": "<string>",
"position": 123,
"capability_key": "<string>",
"grant_kind": "<string>",
"group_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "<string>",
"role_key": "<string>"
}
],
"email": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permission_context": {
"assigned_bundle_keys": [
"<string>"
],
"direct_capability_keys": [
"<string>"
],
"owner_assignments": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"resolved_capability_keys": [
"<string>"
],
"status": "active",
"subject_id": "",
"subject_type": "unknown"
},
"status": "<string>",
"accepted_at": "2023-11-07T05:31:56Z",
"accepted_subject_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"note": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://hybridbox.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Request schema for creating a new user invitation.
1Hide child attributes
Authorization grant kinds.
capability, account_owner, super_admin Authorization resource and scope types.
client, account, workspace, domain, dns_record, mailbox, redirect, forwarding, credential, tenant, route, proxy Target email address
Optional locale for transactional invitation email
Hide child attributes
Shared inspectability snapshot for user, group, and invitation management.
Hide child attributes
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assignments": [
{
"capability_key": "<string>",
"group_id": "<string>",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role_key": "<string>"
}
],
"email": "<string>",
"locale": "<string>",
"note": "<string>"
}
'{
"assignments": [
{
"assignment_kind": "<string>",
"position": 123,
"capability_key": "<string>",
"grant_kind": "<string>",
"group_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "<string>",
"role_key": "<string>"
}
],
"email": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permission_context": {
"assigned_bundle_keys": [
"<string>"
],
"direct_capability_keys": [
"<string>"
],
"owner_assignments": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"resolved_capability_keys": [
"<string>"
],
"status": "active",
"subject_id": "",
"subject_type": "unknown"
},
"status": "<string>",
"accepted_at": "2023-11-07T05:31:56Z",
"accepted_subject_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"note": "<string>"
}